.container {
    font-family: "Montserrat", sans-serif;
    overflow-x: hidden;
}

.processing {
    padding-top: 8rem;
    padding-left: 5rem;
    padding-right: 5rem;
    display: flex;
    flex-direction: row;

    h1 {
        color: var(--primary-color);
        font-family: "Barlow Condensed", sans-serif;
        font-size: 3rem;
    }

    .processingCaption {
        padding-right: 5rem;

        ul {
            padding-top: 1rem;
            border-top: solid 5px var(--primary-color);
        }

    }

    .processingPic {
        width: 25rem;
        height: 15rem;
        overflow: hidden;
        box-shadow: 0.5rem 0.5rem 0 var(--secondary-color),  1rem 1rem 0 var(--primary-color);
        img {
            position: relative;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            object-fit: cover;
            width: 25rem;
        }
    }
}

.filterButtons {
    padding: 5rem 3rem 3rem;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
    gap: 2rem;
}

.btn {
    font-size: 1rem;
    border: none;
    font-family: "Montserrat", sans-serif;
    padding: 1rem;
    background: #cccccc;
    border-radius: 0.5rem;
    transition: ease 0.3s;
}

.btn:hover {
    color: var(--light-color);
    background: var(--primary-color);
    box-shadow: 0.5rem 0.5rem 0 var(--secondary-color);
}

.btn.active {
    color: var(--light-color);
    background: var(--primary-color);
    box-shadow: 0.5rem 0.5rem 0 var(--secondary-color);
}

.filterButtons .btn {
    position: relative;
    z-index: 1000;
}

.slitting {
    padding: 1rem 5rem 5rem;
    display: none;
    flex-direction: column;

    .slit {
        display: flex;
        flex-direction: row;

        h2 {
            color: var(--primary-color);
            font-family: "Barlow Condensed", sans-serif;
            font-size: 3rem;
        }

        .slittingCaption {
            padding-right: 5rem;

            ul {
                padding-top: 1rem;
                border-top: solid 5px var(--primary-color);
            }

        }

        .slittingPicture {
            width: 30rem;
            height: 15rem;
            overflow: hidden;
            box-shadow: 0.5rem 0.5rem 0 var(--secondary-color),  1rem 1rem 0 var(--primary-color);
            img {
                position: relative;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                object-fit: cover;
                width: 30rem;
            }
        }
    }

}
.slitting.show {
    display: flex;
}
.slittingMachines {
    margin-top: 2rem;
    .slittingSpecs {
        display: flex;
        padding: 2rem;
        transition: ease 0.3s;
        img {
            filter: drop-shadow(0.5rem 0.5rem var(--primary-color));
            object-fit: cover;
            width: 20rem;
        }

        .sCaption {
            padding-left: 2rem;
            h2 {
                font-family: "Barlow Condensed", sans-serif;
                color: var(--primary-color);
                font-size: 2rem;
            }
            a {
                color: var(--primary-color);
            }
            ul {
                border-top: solid 3px var(--primary-color);
                padding-top: 0.5rem;
            }

        }
    }

    .slittingSpecs:hover {
        background: #cccccc;
    }
}


.laminating {
    padding: 1rem 5rem 5rem;
    display: none;
    flex-direction: column;

    .laminate {
        display: flex;
        flex-direction: row;

        h2 {
            color: var(--primary-color);
            font-family: "Barlow Condensed", sans-serif;
            font-size: 3rem;
        }

        .laminatingCaption {
            padding-right: 5rem;

            ul {
                padding-top: 1rem;
                border-top: solid 5px var(--primary-color);
            }

        }

        .laminatingPicture {
            width: 30rem;
            height: 15rem;
            overflow: hidden;
            box-shadow: 0.5rem 0.5rem 0 var(--secondary-color),  1rem 1rem 0 var(--primary-color);
            img {
                position: relative;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                object-fit: cover;
                width: 30rem;
            }
        }
    }

}
.laminating.show{
    display: flex;
}
.laminatingMachines {
    margin-top: 2rem;
    .laminatingSpecs {
        display: flex;
        padding: 2rem;
        transition: ease 0.3s;
        img {
            filter: drop-shadow(0.5rem 0.5rem var(--primary-color));
            object-fit: cover;
            width: 20rem;
        }

        .lCaption {
            padding-left: 2rem;
            h2 {
                font-family: "Barlow Condensed", sans-serif;
                color: var(--primary-color);
                font-size: 2rem;
            }
            a {
                color: var(--primary-color);
            }
            ul {
                border-top: solid 3px var(--primary-color);
                padding-top: 0.5rem;
            }

        }
    }

    .laminatingSpecs:hover {
        background: #cccccc;
    }
}


.sheetCutting {
    padding: 1rem 5rem 5rem;
    display: none;
    flex-direction: column;

    .sheet {
        display: flex;
        flex-direction: row;

        h2 {
            color: var(--primary-color);
            font-family: "Barlow Condensed", sans-serif;
            font-size: 3rem;
        }

        .sheetCaption {
            padding-right: 5rem;

            ul {
                padding-top: 1rem;
                border-top: solid 5px var(--primary-color);
            }

        }

        .laminatingPicture {
            width: 30rem;
            height: 15rem;
            overflow: hidden;
            box-shadow: 0.5rem 0.5rem 0 var(--secondary-color),  1rem 1rem 0 var(--primary-color);
            img {
                position: relative;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                object-fit: cover;
                width: 30rem;
            }
        }
    }

}
.sheetCutting.show {
    display: flex;
}
.sheetMachines {
    margin-top: 2rem;
    .sheetSpecs {
        display: flex;
        padding: 2rem;
        transition: ease 0.3s;
        img {
            filter: drop-shadow(0.5rem 0.5rem var(--primary-color));
            object-fit: cover;
            width: 20rem;
        }

        .stCaption {
            padding-left: 2rem;
            h2 {
                font-family: "Barlow Condensed", sans-serif;
                color: var(--primary-color);
                font-size: 2rem;
            }
            a {
                color: var(--primary-color);
            }
            ul {
                border-top: solid 3px var(--primary-color);
                padding-top: 0.5rem;
            }

        }
    }

    .sheetSpecs:hover {
        background: #cccccc;
    }
}


.pressing {
    padding: 1rem 5rem 5rem;
    display: none;
    flex-direction: column;

    .press {
        display: flex;
        flex-direction: column;

        h2 {
            color: var(--primary-color);
            font-family: "Barlow Condensed", sans-serif;
            font-size: 3rem;
        }

        .pressingCaption {
            padding-right: 5rem;

            ul {
                padding-top: 1rem;
                border-top: solid 5px var(--primary-color);
            }

        }

        .pressingPicture {
            display: flex;
            flex-direction: row;
            justify-content: center;
            img {
                padding: 2rem;
                object-fit: cover;
                height: 20rem;
                filter: drop-shadow(0.5rem 0.5rem var(--secondary-color));
            }
        }
    }

}
.pressing.show {
    display: flex;
}
.pressingMachines {
    margin-top: 2rem;
    .pressingSpecs {
        display: flex;
        padding: 2rem;
        transition: ease 0.3s;
        img {
            filter: drop-shadow(0.5rem 0.5rem var(--primary-color));
            object-fit: cover;
            width: 20rem;
        }

        .pCaption {
            padding-left: 2rem;
            h2 {
                font-family: "Barlow Condensed", sans-serif;
                color: var(--primary-color);
                font-size: 2rem;
            }
            a {
                color: var(--primary-color);
            }
            ul {
                border-top: solid 3px var(--primary-color);
                padding-top: 0.5rem;
            }

        }
    }

    .pressingSpecs:hover {
        background: #cccccc;
    }
}

@media (max-width: 600px) {
    .processing {
        padding: 5.5rem 1rem 1rem;
        display: grid;
        gap: 1rem;
        justify-content: center;

        h1 {
            padding-left: 1.5rem;
        }
    }

    .processingPic {
        transform: scale(80%);
    }

    .sheetCutting.show {
        display: grid;
    }

    .sheetCutting {
        width: 100vw;
        padding: 0;

        .sheet {
            padding: 1rem;

            .sheetCaption {
                padding-right: 0;
            }
        }
    }

    .sheetSpecs {
        padding: 0;
        gap: 1rem;
        flex-direction: column;
        align-items: center;

        .stCaption {
        padding-left: 0 !important;
        }
    }


    .slitting.show {
        display: grid;
    }

    .slitting {
        width: 100vw;
        padding: 0;

        .slit {
            padding: 1rem;
            flex-direction: column;
            align-items: center;


            .slittingCaption {
                padding-right: 0;
            }

            .slittingPicture {
                scale: 70%;
            }
        }
    }

    .slittingSpecs {
        padding: 0;
        gap: 1rem;
        flex-direction: column;
        align-items: center;

        .sCaption {
            padding-left: 0 !important;
        }
    }

    .laminating.show {
        display: grid;
    }

    .laminating {
        width: 100vw;
        padding: 0;

        .laminate {
            padding: 1rem;
            flex-direction: column;
            align-items: center;


            .laminatingCaption {
                padding-right: 0;
            }

            .laminatingPicture {
                scale: 70%;
            }
        }
    }

    .laminatingSpecs {
        padding: 0;
        gap: 1rem;
        flex-direction: column;
        align-items: center;

        .lCaption {
            padding-left: 0 !important;
        }
    }

    .pressing.show {
        display: grid;
    }

    .pressing {
        width: 100vw;
        padding: 0;

        .press {
            padding: 0 1rem;
            flex-direction: column;
            align-items: center;


            .pressingCaption {
                padding-right: 0;
            }

            .pressingPicture{
                justify-content: center;
                align-items: center;
                display: flex;
                flex-direction: column;
                scale: 80%;
            }
        }
    }

    .pressingSpecs {
        padding: 0;
        gap: 1rem;
        flex-direction: column;
        align-items: center;

        .pCaption {
            padding-left: 0 !important;
        }
    }


}


